
  <div class="alerta" [ngClass]="{'error': propiedades.error, 'advertencia': !propiedades.error}">
<h1 class="title">Agenda Electronica </h1>
<!-- <div class=" container"> -->
  <form [formGroup]="formulario"  (ngSubmit)="guardar()">
    <div class="container">
    <div class="fila1">
    <div class="nombre">
      <div class="col-5">
        <label for="fname" class="lbl">Nombre</label>
      </div>
      <div>
        <input 
        type="text"
        id="fname"
        placeholder="Nombre"
        class="txtbox"
        formControlName="nombre"
        [class.is-invalid]="nombreNoValido"
        >
        <small class="text-danger" *ngIf="nombreNoValido">
          Ingrese mas de 3 letras
        </small>
      </div>
    </div>

    <div class="apellido">
      <div class="col-5">
        <label for="flastname" class="lbl">Apellido</label>
      </div>
      <div>
        <input type="text"
        id="flastname"
        placeholder = "Apellido"
        class="txtbox"
        formControlName="apellido"
        [class.is-invalid]="apellidoNoValido"
        >
        <small class="text-danger" *ngIf="apellidoNoValido">
          Ingrese mas de 3 letras
        </small>
      </div>
    </div>
  </div>

  <div class="fila2">
    <div class="Celular">
      <div class="col-5">
        <label for="fcel" class="lbl">Celular</label>
      </div>
      <div>
        <input type="text"
        id="fcel"
        placeholder="celular"
        class="txtbox"
        formControlName="celular"
        [class.is-invalid]="celularNoValido"
        >
        <small class="text-danger" *ngIf="celularNoValido">
          Ingrese un telefono valido
        </small>
      </div>
    </div>


    <div class="correo">
      <div class="col-5">
        <label for="femail" class="lbl">Correo</label>
      </div>
      <div>
        <input type="text"
        id="femail"
        placeholder="email"
        class="txtbox"
        formControlName="correo"
        [class.is-invalid]="correoNoValido"
        >
        <small class="text-danger" *ngIf="correoNoValido">
          Ingrese un email valido
        </small>
      </div>
    </div>
  </div>
  

  <div class="fila3">
    <div class="fila3-izq">
      <div class="fila_3junior">
    <div class="Hora">
      <div class="col-5">
        <label for="fhora" class="lbl">Hora</label>
      </div>
      <div>
        <input type="time"
        id="fhora"
        placeholder="hora"
        class="txtbox"
        formControlName="hora"
        [class.is-invalid]="horaNoValido"
        >
        <small class="text-danger" *ngIf="horaNoValido">
          Ingrese un telefono valido
        </small>
      </div>
    </div>

    <div class="fecha">
      <div class="col-5">
        <label for="ffecha" class="lbl">Fecha</label>
      </div>
      <div>
        <input type="date"
        id="ffecha"
        placeholder="fecha"
        class="txtbox"
        formControlName="fecha"
        [class.is-invalid]="fechaNoValido"
        >
        <small class="text-danger" *ngIf="fechaNoValido">
          Ingrese una fecha
        </small>
      </div>
    </div>
    <div >
      <button class="btn" type="submit" [disabled]="formulario.invalid"><b>AGENDAR</b></button>
    </div>
  </div>
  </div>
  
  <div class="fila3-der">
    <div class="Mensaje">
      <div class="col-5">
        <label for="fmensaje" class="lbl">Descripcion</label>
      </div>

      <textarea cols=" 30" rows="10" 
      id="fmensaje" 
      placeholder="Introduzca su mensaje"
      class="txtbox"
      formControlName="mensaje"
      [class.is-invalid]="mensajeNoValido"
      >
      <small class="text-danger" *ngIf="mensajeNoValido">
        Por favor introduzca un mensaje
      </small>
    </textarea>
    </div>
  </div>
  </div>
</div>
  </form>
  <div class="enviado">
    {{mensaje}}
  </div>


  <button class="mostrar" (click)="mostrar()">VER CITAS AGENDADAS</button>
<button  class="boton" type="button" (click)="propiedades.error = !propiedades.error"  [ngClass]="{'danger': propiedades.error, 'err': !propiedades.error}"><i class="fa-solid fa-moon"></i>Oscuro</button>
<hr>


<div id="final" class="CITAR" *ngFor="let dato of datos; let i = index">
  <h2>RESUMEN DE CITA</h2>
  <div class="izq">
    <img class="user" src="../../../assets/img/usuario.png" alt="user">
    
  </div>

  <div  class="center">
    <table>
        <tr><td class="nom_A">{{ dato.nombre }}    {{ dato.apellido }}</td></tr>
        
        <tr>Correo Electronico:
          <td>{{ dato.correo }}</td> </tr>
      
        <tr>Celular:
          <td>{{ dato.celular }}</td>
        </tr>
       
        <tr>Fecha:
          <td> {{ dato.fecha }}</td>
        </tr>
       
        <tr>Hora:
          <td>{{ dato.hora }}</td>
        </tr>
       
        <!-- <tr>Descripcion:
          <td></td>
        </tr> -->

        <button id="final" class="remove" (click)="remove(dato)">Eliminar</button>
      </table >
  </div>
  <div class="der">
    <p>Descripcion:</p>
    <textarea class="text" name="" id="" cols="30" rows="15">{{ dato.mensaje }}</textarea>
   

  </div>
      
</div>





